<?php
###################################################################
# Administration spécial semaine de parrainage                    #
# un joueur gagne ses points + les points de ses filleuls         #
# Variables IN :                                                  #
# $MatchId : Id du match dont on donne le résultat                #
# $Result : Résultat du match au format X-Y (X et Y deux entiers) #
# $un: si = 1, on passe à la 2eme page                            #
# $deux: si = 1, on passe à la 3eme page                          #
###################################################################
include("../config.php3");
include($BIB."bib_generic.php3");
include($BIB."bib_constants.php3");
include($BIB."bib_admin.php3");

##################################
# Administration script defaults #
##################################

# pas de timeout possible quelle que soit l'action effectuée
set_time_limit($TIME_LIMIT);

# le script continue une fois qu'il est lancé,
# quel que soit l'état de la connection après
ignore_user_abort(true); 

# on récupère la date actuelle
$current_european_date = date("Y-m-d H:i:s", my_local_time());

#####################################
# pour afficher les matchs au début #
#####################################
?>
<html>
<head></head>
<link rel="stylesheet" href="admin.css">
<body rightmargin="0">
<div align="center" class="trTitle">Mise à jour des resultats des matchs</div>


<?php
if ($un==1)
{
	# on verifie si letat vaut 2 sinon erreur
	$squery = "SELECT etat FROM Matchs WHERE MatchId='".$MatchId."'";
	$rowsMatchs = main_db_query($squery);
	$rowMatch = db_fetch_assoc($rowsMatchs);
	if($rowMatch['etat'] == $TYPE_ETAT['WAIT'])
	{
		if($DEBUG!=1)
		{
			# selection + mise a zero du resultat des matchs en attente de mise a jour (resultat donné -> 0, etat=2 -> etat=0)
			$squery = "UPDATE Matchs SET Result='0' , etat='".$TYPE_ETAT['NULL']."' WHERE MatchId='".$MatchId."'";
			main_db_query($squery);
		}
		else
		{
			echo "MODE DEBUG<br>";
		}
	}
	else
		$error = "ERREUR DE SAISIE !";
}

?>
<table border=1 cellpadding="4" cellspacing="4">
	<tr class=trTitle>
		<td align=center colspan=9>Liste des matchs dont le résultat est donné</td>
	</tr>
	<tr class=trTitle>
		<td>N° Match</td>
		<td>Catégorie</td>
		<td>Equipe 1</td>	
		<td>Equipe 2</td>		
		<td>Résultat</td>
		<td>Date/Heure de fin de pari</td>
		<td>Nb paris</td>
	</tr>
<?php

# selection + affichage des matchs en attente de mise a jour (resultat donné, etat=2)
$squery = "SELECT Team1,Team2,MatchId,Name,CategoryId,Date,Result FROM Categories ".
			" LEFT JOIN Matchs ON Matchs.Category=Categories.CategoryId ".
			" WHERE etat=".$TYPE_ETAT['WAIT']." ORDER BY CategoryId, Date DESC";

$rows=main_db_query($squery);
while($row=db_fetch_assoc($rows))
{
	# on calcule le nb de paris sur ce matchs
	$nbRows = db_fetch_assoc(main_db_query("SELECT COUNT(*) AS total FROM Paris WHERE MatchId='".$row[MatchId]."'"));	
	
	echo "<td>".$row['MatchId']."</td>";
	echo "<td>".$row['Name']."</td>";
	echo "<td>".$row['Team1']."</td>";
	echo "<td>".$row['Team2']."</td>";
	echo "<td>".$row['Result']."</td>";
	echo "<td><b>".$row['Date']."</b></td>";
	echo "<td>".$nbRows['total']."</td>";
	echo "</tr>";
}
echo "<tr class=trTitle><td colspan=9>&nbsp;$error</td></tr></table>";
?>

<br><br>

<form method="post" name="main">
<table>
	<input type="hidden" name="un" value="1">
	<tr>
		<td>
			Match N° :
		</td>
		<td>
			<input type="text" name="MatchId" size="3">
		</td>
	</tr>
</table>
<br>
<input type="checkbox" name="DEBUG" value="1">DEBUG MODE
<br><br>
<input type="submit" name="Valider" value="Valider">
</form>
</body>
</html>